Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.config
Interface CIBApplicationConfiguration

All Superinterfaces:
  CIBConfiguration, CIBProvider

All Known Implementing Classes:
  CIBApplicationConfigurationImpl

public interface CIBApplicationConfiguration
extends CIBConfiguration

Provides interfaces that should be implemented by each provider providing CIB Application configuration attributes. The attributes that should be exposed are : UrlDescription, Role and DirectoryDN

Method Summary
`java.lang.String` | `getDirectoryDN()` Get the directory Distinguish Name
`java.lang.String` | `getRole()` Get the role of the application
`java.lang.String` | `getUrlDescription()` Get the Url Description document

Methods inherited from interface com.sun.mfwk.cib.config.CIBConfiguration
`getType`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Method Detail

### getUrlDescription

    public java.lang.String getUrlDescription()
                                       throws CIBIOException,
                                              CIBAttributeNotFoundException

  Get the Url Description document

  Returns:
    String
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getRole

    public java.lang.String getRole()
                             throws CIBIOException,
                                    CIBAttributeNotFoundException

  Get the role of the application

  Returns:
    String
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getDirectoryDN

    public java.lang.String getDirectoryDN()
                                    throws CIBIOException,
                                           CIBAttributeNotFoundException

  Get the directory Distinguish Name

  Returns:
    String
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD